%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Filename:    PicoConstants.m
%
% Copyright:   Pico Technology Limited 2013
%
% Author:      HSM
%
% Description:
%   This is a MATLAB script that contains reference information for use
%   with Instrument Control Driver for a Pico Technology Device.
%
% DO NOT EDIT.
%
% Ensure that the file is on the MATLAB Path.		
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
classdef PicoConstants
   
    properties(Constant)
    
        % Boolean
        FALSE = 0;
        TRUE  = 1;
        
        % Oscilloscope Input Ranges - defined in milliVolts
        SCOPE_INPUT_RANGES = [10, 20, 50, 100, 200, 500, 1000, 2000, 5000, 10000, 20000, 50000];
        
        % Signal Generator Type
        SIG_GEN_NONE      = 0;
        SIG_GEN_FUNCT_GEN = 1;
        SIG_GEN_AWG       = 2;
        
        % AWG Buffer Size
        AWG_BUFFER_ZERO  = 0;
        AWG_BUFFER_4096  = pow2(12);
        AWG_BUFFER_8192  = pow2(13);
        AWG_BUFFER_16384 = pow2(14);
        
        % Buffer Sizes
        BUFFER_MEMORY_ZERO = 0;     
        BUFFER_MEMORY_8K   = pow2(13);
        BUFFER_MEMORY_16K  = pow2(14);
        BUFFER_MEMORY_24K  = 24576;
        BUFFER_MEMORY_32K  = pow2(15);
        
        % Sampling rates (per second)
        MAX_SAMPLING_RATE_ZERO  = 0;
        MAX_SAMPLING_RATE_20MS  = 20e6;  %2000000
        MAX_SAMPLING_RATE_40MS  = 40e6;  %4000000
        MAX_SAMPLING_RATE_50MS  = 50e6;  %5000000
        MAX_SAMPLING_RATE_100MS = 100e6; %10000000
        MAX_SAMPLING_RATE_200MS = 200e6; %20000000
    
    end
    
end